Add a comment to a ticket
curl --request POST \
--url https://api.algosmiths.com/api/v1/tickets/{ticket_id}/comments/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"is_internal": true
}
'import requests
url = "https://api.algosmiths.com/api/v1/tickets/{ticket_id}/comments/"
payload = {
"body": "<string>",
"is_internal": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>'), is_internal: true})
};
fetch('https://api.algosmiths.com/api/v1/tickets/{ticket_id}/comments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"body": "<string>",
"author": {
"id": 123,
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"deleted_at": "2023-11-07T05:31:56Z",
"uid": "<string>",
"is_verified": true,
"profile_picture": "<string>",
"locale": "<string>",
"phone_number": "<string>",
"name": "<string>",
"country": "<string>",
"currency": "<string>",
"referral_code": "<string>",
"wallet_balance": "<string>",
"referred_by": 123
},
"created_at": "2023-11-07T05:31:56Z",
"is_internal": true
}Tickets
Add a comment to a ticket
POST
/
api
/
v1
/
tickets
/
{ticket_id}
/
comments
/
Add a comment to a ticket
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings โ API Keys. See public_api.md ยง 3 for scopes.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
โI

